{ pkgs, config, ... }:
{
  programs.vscode = {
    enable = true;
    mutableExtensionsDir = false;
    extensions = with pkgs.vscode-extensions; [
      vscodevim.vim
      rust-lang.rust-analyzer
    ];
    enableUpdateCheck = false;
    userSettings = {
      "keyboard.dispatch" = "keyCode";
    };
  };
}
